<?php

		
 
		
$rla_dir_links = realpath("./links/");

	
if ($rla_handle = opendir($rla_dir_links)) {

   while (false !== ($rla_file = readdir($rla_handle))) {  	 
   	
   	   if($rla_file == "error_log" 
   	   || $rla_file == "." 
   	   || $rla_file == ".." 
   	   || $rla_file == "index.php" 
	   || $rla_file == "_private"
           || $rla_file == "_vti_bin"
           || $rla_file == "_vti_cnf"
           || $rla_file == "_vti_log"
           || $rla_file == "_vti_pvt"
           || $rla_file == "_vti_txt"
           || $rla_file == "links"
           || $rla_file == "datas"
   	   || $rla_file == "$templatefoldername" 
   	   || $rla_file == ".htaccess" 
   	   || $rla_file == "Cgi Bin" 
   	   || $rla_file == "cgi-bin" 
   	   || $rla_file == "error" 
   	   || $rla_file == "stats" 
   	   || $rla_file == "phpinfo.php" 
   	   || $rla_file == "sitemap.php" 
   	   || $rla_file == "sitemap.xml" 
   	   || $rla_file == "robots.txt"
   	   || $rla_file == "text-links.txt"
   	   || $rla_file == "cache"
	   || $rla_file == "permalink.php"
|| $rla_file == "feed.xml"
|| $rla_file == "l1.php"
|| $rla_file == "l2.php"
|| $rla_file == "l3.php"
|| $rla_file == "l4.php"
|| $rla_file == "l5.php"
|| $rla_file == "partners_instr.php"
	   || $rla_file == "submitarticle.php"
	   || $rla_file == "tellafriend.php"
	   || $rla_file == "article_list.php"
   	   ){
   		
   		echo "";
   	}
   	else{
   		$rla_numbers = array("0", "1", "2", "3", "4", "5", "6", "7", "8", "9");
   		$rla_file_name_0 = str_replace("_", " ", $rla_file);
   		$rla_file_name_1 = str_replace("page", "", $rla_file_name_0);
   		$rla_file_name_2 = str_replace ($rla_numbers, " ", $rla_file_name_1);
   		$rla_file_name_3 = str_replace(".php", " ", $rla_file_name_2);
   		$rla_file_name_4 = ucwords($rla_file_name_3); 
   		$rla_file_name = rtrim($rla_file_name_4); 
   		$rla_file = str_replace("", "/", $rla_file);
   	
          $rla_hreflist[] = "<li><a href=\"./links/".$rla_file."\">$rla_file_name Links</a><li/>";
          
   	}
   }

   closedir($rla_handle);
   
$rla_nr1 = count($rla_hreflist);


   
for ($x = 0; $x < 1; $x++) {    
	mt_srand((double)microtime()*1000000);
    $rla_RandomNumber = rand (1, count($rla_hreflist)-1);
    print($rla_hreflist[$rla_RandomNumber]);
}
   
}

?>
